package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
	DesKey = "6WpHp4vSvLVQK8SLioNZ7WMq" // 接口返回加密KEY
)

// 常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	FormatDateTimeMinute  = "2006-01-02 15:04"        //时间格式只精确到分钟
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

const (
	APPNAME          = "弘则-task"
	EmailSendToUsers = "317699326@qq.com;984198890@qq.com;512188925@qq.com;1404741809@qq.com"
	//RefreshEdbInfoEmailSendToUsers = "317699326@qq.com;984198890@qq.com;jhwang@hzinsights.com;lnyan@hzinsights.com;vwang@hzinsights.com"
	RefreshEdbInfoEmailSendToUsers = "317699326@qq.com;984198890@qq.com"
)

// 手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

// 验证码code
const (
	REGISTER_CODE = iota + 1 //注册
	LOGIN_CODE               //登录
)

// 模板消息推送类型
const (
	TEMPLATE_MSG_REPORT = iota + 1 //日度点评报告推送
)

const TEMPLATE_MSG_YB_COMMUNITY_QUESTION = 11

// 聚合短信
var (
	TplId    = "65692"
	JhAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415"
)

const (
	EmailSendToHzUsers = "lnyan@hzinsights.com;pdzhao@hzinsights.com;glji@hzinsights.com;tshen@hzinsights.com"
	//EmailSendToHzUsers = "317699326@qq.com"
)

// 数据来源渠道
const (
	DATA_SOURCE_THS                          = iota + 1 //同花顺
	DATA_SOURCE_WIND                                    //wind->2
	DATA_SOURCE_PB                                      //彭博->3
	DATA_SOURCE_CALCULATE                               //指标运算->4
	DATA_SOURCE_CALCULATE_LJZZY                         //累计值转月->5
	DATA_SOURCE_CALCULATE_TBZ                           //同比值->6
	DATA_SOURCE_CALCULATE_TCZ                           //同差值->7
	DATA_SOURCE_CALCULATE_NSZYDPJJS                     //N数值移动平均计算->8
	DATA_SOURCE_MANUAL                                  //手工指标->9
	DATA_SOURCE_LZ                                      //隆众->10
	DATA_SOURCE_YS                                      //有色->11
	DATA_SOURCE_CALCULATE_HBZ                           //环比值->12
	DATA_SOURCE_CALCULATE_HCZ                           //环差值->13
	DATA_SOURCE_CALCULATE_BP                            //变频->14
	DATA_SOURCE_GL                                      //钢联->15
	DATA_SOURCE_ZZ                                      //郑商所->16
	DATA_SOURCE_DL                                      //大商所->17
	DATA_SOURCE_SH                                      //上期所->18
	DATA_SOURCE_CFFEX                                   //中金所->19
	DATA_SOURCE_SHFE                                    //上期能源->20
	DATA_SOURCE_GIE                                     //欧洲天然气->21
	DATA_SOURCE_CALCULATE_TIME_SHIFT                    //时间移位->22
	DATA_SOURCE_CALCULATE_ZJPJ                          //直接拼接->23
	DATA_SOURCE_CALCULATE_LJZTBPJ                       //累计值同比拼接->24
	DATA_SOURCE_LT                                      //路透->25
	DATA_SOURCE_COAL                                    //中国煤炭网->26
	DATA_SOURCE_PYTHON                                  //python代码->27
	DATA_SOURCE_PB_FINANCE                              //彭博财务数据->28
	DATA_SOURCE_GOOGLE_TRAVEL                           //谷歌出行->29
	DATA_SOURCE_PREDICT                                 //普通预测指标->30
	DATA_SOURCE_PREDICT_CALCULATE                       //预测指标运算->31
	DATA_SOURCE_PREDICT_CALCULATE_TBZ                   //预测同比值->32
	DATA_SOURCE_PREDICT_CALCULATE_TCZ                   //预测同差值->33
	DATA_SOURCE_MYSTEEL_CHEMICAL                        //钢联化工->34
	DATA_SOURCE_CALCULATE_CJJX                          //超季节性->35
	DATA_SOURCE_EIA_STEO                                //eia steo报告->36
	DATA_SOURCE_CALCULATE_NHCC                          //计算指标（拟合残差）->37
	DATA_SOURCE_COM_TRADE                               //联合国商品贸易数据->38
	DATA_SOURCE_PREDICT_CALCULATE_NSZYDPJJS             //预测指标 - N数值移动平均计算 -> 39
	DATA_SOURCE_CALCULATE_ADJUST                        //数据调整->40
	DATA_SOURCE_SCI                                     //卓创数据（红桃三）->41
	DATA_SOURCE_PREDICT_CALCULATE_LJZZY                 //预测指标 - 累计值转月->42
	DATA_SOURCE_PREDICT_CALCULATE_HBZ                   //预测指标 - 环比值->43
	DATA_SOURCE_PREDICT_CALCULATE_HCZ                   //预测指标 - 环差值->44
	DATA_SOURCE_PREDICT_CALCULATE_BP                    //预测指标 - 变频->45
	DATA_SOURCE_PREDICT_CALCULATE_TIME_SHIFT            //预测指标 - 时间移位->46
	DATA_SOURCE_PREDICT_CALCULATE_ZJPJ                  //预测指标 - 直接拼接->47
	DATA_SOURCE_PREDICT_CALCULATE_LJZTBPJ               //预测指标 - 累计值同比拼接->48
	DATA_SOURCE_PREDICT_CALCULATE_CJJX                  //预测指标 - 超季节性->49
	DATA_SOURCE_PREDICT_CALCULATE_NHCC                  //预测指标 - 计算指标（拟合残差）->50
	DATA_SOURCE_CALCULATE_JP                            //变频->51
	DATA_SOURCE_CALCULATE_NH                            //年化->52
	DATA_SOURCE_CALCULATE_KSZS                          //扩散指数->53
	DATA_SOURCE_PREDICT_CALCULATE_JP                    //预测指标 - 计算指标(降频)->54
	DATA_SOURCE_PREDICT_CALCULATE_NH                    //预测指标 - 计算指标(年化)->55
	DATA_SOURCE_PREDICT_CALCULATE_KSZS                  //预测指标 - 计算指标(扩散指数)->56
	DATA_SOURCE_BAIINFO                                 //百川盈孚 ->57
	DATA_SOURCE_STOCK_PLANT                             //存量装置 ->58
	DATA_SOURCE_CALCULATE_CORRELATION                   //相关性计算->59
	DATA_SOURCE_NATIONAL_STATISTICS                     //国家统计局->60
)

//http://datawind.hzinsights.com:8040/hz_server

const (
	Hz_Data_Url    = "http://datawind.hzinsights.com:8040/" //同花顺，万得接口服务地址
	Hz_Data_PB_Url = "http://datapb.hzinsights.com:8040/"   //彭博接口地址
	Hz_Data_LT_Url = "http://dataek.hzinsights.com:8040/"   //路透社接口地址
)

var Hz_Data_WIND_Url_List = []string{"http://datawind.hzinsights.com:8040/", "http://datawind2.hzinsights.com:8040/"}

//var Hz_Data_WIND_Url_List = []string{"http://datawind2.hzinsights.com:8040/", "http://datawind3.hzinsights.com:8040/"}

// 数据刷新频率
const (
	DATA_REFRESH        = 7 //7个单位，日/周/月/季度/年
	DATA_END_DATE_LIMIT = 4 //数据结束日期为，当前日期，加上4年时间
)

var (
	Hz_Server_Data_Url string //同花顺，万得接口服务地址（阿里云windows服务器地址）
)

// EDB_LIB
var (
	APP_EDB_LIB_NAME_EN = "hongze_edb_lib"
	EDB_LIB_Md5_KEY     = "GuRaB6dY1bXOJcwG"
)

// 研报类型标识
var (
	REPORT_TYPE_DAY      = "day"
	REPORT_TYPE_WEEK     = "week"
	REPORT_TYPE_TWO_WEEK = "two_week"
	REPORT_TYPE_MONTH    = "month"
	REPORT_TYPE_OTHER    = "other"
)

const (
	SendTemplateMsgAuthorization = "dc855fce962a639faa779cbdd4cd332f"
)

// 模板消息推送类型
const (
	TEMPLATE_MSG_YB_VOICE_BROADCAST = 20 //研报语音播报
)

const (
	CYGX_YANXUAN_POINTS_KEY          string = "CYGX_YANXUAN_POINTS_KEY" //查研观向研选活动扣点KEY
	YI_YAO_NAME                      string = "医药"
	YI_YAO_ID                        int    = 22
	XIAO_FEI_NAME                    string = "消费"
	XIAO_FEI_ID                      int    = 21
	KE_JI_NAME                       string = "科技"
	KE_JI_ID                         int    = 20
	ZHI_ZAO_NAME                     string = "智造"
	ZHI_ZAO_ID                       int    = 19
	CHART_PERMISSION_ID_YANXUAN      int    = 31
	CHART_PERMISSION_NAME_MF_YANXUAN string = "买方研选"
)

const (
	EnCompanyIdStep = 10000000
)
