package data_manage

import "github.com/beego/beego/v2/client/orm"

type CygxArticleType struct {
	ArticleTypeId int `description:"表cygx_article_type中id"`
	YanxPermissionId        int `description:"研选类型所对应的ID"`
}

func CygxArticleTypeMappingList() (items []*CygxArticleType, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT article_type_id, yanx_permission_id FROM cygx_article_type `
	_, err = o.Raw(sql).QueryRows(&items)
	return
}